Skip to main content
POST
/
organizations
/
{orgId}
/
devices
/
batch-command
curl --request POST \ --url https://managexrapi.com/organizations/{orgId}/devices/batch-command \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "deviceIds": [ "fJlJrjEL08UkhSLRRryd", "GrCQfwI4373WFqzVjguI" ], "action": "SYNC" } '

Authorizations

Authorization
string
header
required

API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET

  • Username: The API Key ID.
  • Password: The API Key Secret.

Path Parameters

orgId
string
required

The ID of the organization. Locate the orgId under Organization Settings > API Keys.

Body

application/json
deviceIds
string[]

List of unique identifiers (serial numbers) of devices

action
enum<string>

Launch an application on the devices

Available options:
LAUNCH_APP
Example:

"LAUNCH_APP"

data
object

Response

200

Success